<template>
    <div class="container">
      <h1>Modificar &Aacute;rea</h1>
  
      <div class="card">
        <div class="card-content">
          <form @submit.prevent="update()">
            <p>Nombre &Aacute;rea: <input type="text" v-model="payload.nombre" required></p>
            <p>Nombre Encargado: <input type="text" v-model="payload.encargado" required></p>
            <p>N&uacute;mero de Funcionarios: <input type="number" v-model="payload.numero_funcionarios" required></p>
            <button type="submit" class="waves-effect waves-light btn-small" >Modificar</button>
          </form>
        </div>
      </div>
    </div>
</template>
  
  <script>
  
  export default {
    name: 'AreaUpdateView',
    data(){
      const api = process.env.VUE_APP_API;
      return {
        api,
        items:[],
        payload:{
          nombre: null,
          encargado: null,
          numero_funcionarios: null
        }
      }
    },
    methods: {
      getOne(){
        this.axios({
          method: 'get',
          url: this.api+'/areas/'+this.$route.params.id
        }).
        then((response)=>{
          this.payload = response.data;
        }).
        catch((error)=>{
          console.log(error);
        });
      },
      update(){
        if(confirm("Esta seguro de modificar esta Área?")){
          this.axios({
            method: 'patch',
            url: this.api+'/areas/'+this.$route.params.id,
            data: this.payload
          }).
          then((response)=>{
            console.log(response);
            window.location.href = '/area';
          }).
          catch((error)=>{
            console.log(error);
          });
        }
      }
    },
    components: {
     
    },
    mounted(){
      this.getOne();
    }
  }
  </script>
  